module Kanoah
    class << self
      attr_accessor :config
    end

    def self.configure
      self.config ||= Configuration.new
      yield(config)
    end

    class Configuration
      attr_accessor :base_url, :test_run_id, :environment, :username, :password, :project_id

      def initialize
        @base_url    = nil
        @test_run_id = nil
        @project_id  = nil
        @environment = nil
        @username    = nil
        @password    = nil
      end
    end
  end
